﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;
using Client.Stream;
using System.Text;
using LiveNicoAPIAlert.LiveNicoAPIs;

namespace LiveNicoAPIAlert
{
    static class Program
    {
        /// <summary>
        /// アプリケーションのメイン エントリ ポイントです。
        /// </summary>
        [STAThread]
        static void Main()
        {
            LiveNicoAPI liveNicoAPI = new LiveNicoAPI();
            liveNicoAPI.LiveStarted += new EventHandler<LiveEventArgs>(API_LiveStarted);

            Console.WriteLine("*** ENTERキーで終了できます．");
            liveNicoAPI.Start();
          
            Console.ReadLine();
            liveNicoAPI.Stop();
        }

        static void API_LiveStarted(object sender, LiveEventArgs e)
        {
            Console.WriteLine("lv" + e.liveAddress + " (" + e.liveCommunity + ", user/" + e.liveUser + ")");
        }
    }
}